## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJNode

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode

All Implemented Interfaces:
  JNode

Direct Known Subclasses:
  JDOMJCompilationUnit, JDOMJImport, JDOMJMember, JDOMJPackage

    public abstract class JDOMJNode

extends AbstractJNode

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`protected` `JDOMJNode(org.eclipse.jdt.core.jdom.IDOMNode idomNode)`

Method Summary
`void` `dispose()`
`java.util.List` `getChildren()` Returns the children of this node.
`java.lang.String` `getContents()` Returns the current contents of this document fragment.
`JDOMFacadeHelper` `getFacadeHelper()`
`int` `getFlags()` Returns the modifier flags for this node.
`java.lang.String` `getName()` Returns the name of this node.
`JNode` `getParent()` Returns the parent of this node.
`protected org.eclipse.jdt.core.jdom.IDOMNode` `getWrappedObject()`
`boolean` `isDisposed()`
`void` `setFacadeHelper(FacadeHelper facadeHelper)`
`void` `setFlags(int flags)` Sets the flags for this member.
`void` `setName(java.lang.String name)` Sets the name of this node.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMJNode

    protected JDOMJNode(org.eclipse.jdt.core.jdom.IDOMNode idomNode)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in class `AbstractJNode`

### isDisposed

    public boolean isDisposed()

  Specified by:
    `isDisposed` in class `AbstractJNode`

### getFacadeHelper

    public JDOMFacadeHelper getFacadeHelper()

  Specified by:
    `getFacadeHelper` in class `AbstractJNode`

### setFacadeHelper

    public void setFacadeHelper(FacadeHelper facadeHelper)

  Specified by:
    `setFacadeHelper` in class `AbstractJNode`

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMNode getWrappedObject()

  Specified by:
    `getWrappedObject` in class `AbstractJNode`

### getName

    public java.lang.String getName()

  Description copied from interface: `JNode`
  Returns the name of this node.

  Returns:
    the name, or `null` if it has no name

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `JNode`
  Sets the name of this node. If the name is used to match the nodes to be merged, it is highly recommended not to use this method.

  See Also:
    `JNode.getQualifiedName()`

### getFlags

    public int getFlags()

  Description copied from interface: `JNode`
  Returns the modifier flags for this node. The flags can be examined using class `FacadeFlags`.

  Specified by:
    `getFlags` in interface `JNode`
  Overrides:
    `getFlags` in class `AbstractJNode`

### setFlags

    public void setFlags(int flags)

  Description copied from interface: `JNode`
  Sets the flags for this member. The flags can be examined using the `FacadeFlags` class.

  Parameters:
    `flags` - the flags

### getContents

    public java.lang.String getContents()

  Description copied from interface: `JNode`
  Returns the current contents of this document fragment.

  Note: To obtain complete source for the ".java" file, ask a compilation unit node for its contents.

  Returns:
    the contents, or `null` if this node has no contents

### getParent

    public JNode getParent()

  Description copied from interface: `JNode`
  Returns the parent of this node.

  Returns:
    the parent node, or `null` if this node does not have a parent

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `JNode`
  Returns the children of this node. Returns an empty list if this node has no children (including nodes that cannot have children). Children appear in the order in which they are declared in the source code.

  The list must be unmodifiable if the implementation doesn't support direct manipulation.

  Specified by:
    `getChildren` in interface `JNode`
  Overrides:
    `getChildren` in class `AbstractJNode`
  Returns:
    a list of the children

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.